org.opengis.cite.ogcapifeatures10.conformance.crs.query.crs.features

## Class AbstractFeaturesCrs

- java.lang.Object
- - org.opengis.cite.ogcapifeatures10.conformance.CommonFixture
  - - org.opengis.cite.ogcapifeatures10.conformance.crs.query.crs.features.AbstractFeaturesCrs

- Direct Known Subclasses:
    FeaturesCrsParameter, FeaturesCrsParameterDefault, FeaturesCrsParameterInvalid, FeaturesCrsParameterTransform

      public class AbstractFeaturesCrs
      extends CommonFixture

  Author:
    Lyn Goltz

- - ### Field Summary

    - ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

      `requestLoggingFilter, responseLoggingFilter, rootUri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractFeaturesCrs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator<Object[]>` | `collectionIdAndJson(org.testng.ITestContext testContext)`
    `Iterator<Object[]>` | `collectionIdAndJsonAndCrs(org.testng.ITestContext testContext)`
    `Iterator<Object[]>` | `collectionIdAndJsonAndCrsAndDefaultCrs(org.testng.ITestContext testContext)`
    `void` | `retrieveRequiredInformationFromTestContext(org.testng.ITestContext testContext)`

    - ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

      `clearMessages, getRequest, getResponse, init, initCommonFixture`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractFeaturesCrs

          public AbstractFeaturesCrs()

  - ### Method Detail

    - #### retrieveRequiredInformationFromTestContext

          public void retrieveRequiredInformationFromTestContext(org.testng.ITestContext testContext)

    - #### collectionIdAndJson

          public Iterator<Object[]> collectionIdAndJson(org.testng.ITestContext testContext)

    - #### collectionIdAndJsonAndCrs

          public Iterator<Object[]> collectionIdAndJsonAndCrs(org.testng.ITestContext testContext)

    - #### collectionIdAndJsonAndCrsAndDefaultCrs

          public Iterator<Object[]> collectionIdAndJsonAndCrsAndDefaultCrs(org.testng.ITestContext testContext)

Copyright © 2021 Open Geospatial Consortium. All rights reserved.